## Voice enumerations and flags Voice enumerations and flags |

## Functions

const gchar * | qmi_voice_call_state_get_string ()
const gchar * | qmi_voice_call_type_get_string ()
const gchar * | qmi_voice_call_direction_get_string ()
const gchar * | qmi_voice_call_mode_get_string ()
const gchar * | qmi_voice_als_get_string ()
const gchar * | qmi_voice_presentation_get_string ()
const gchar * | qmi_voice_domain_get_string ()
const gchar * | qmi_voice_privacy_get_string ()
const gchar * | qmi_voice_service_option_get_string ()
const gchar * | qmi_voice_tty_mode_get_string ()
gchar * | qmi_voice_wcdma_amr_status_build_string_from_mask ()
const gchar * | qmi_voice_user_action_get_string ()
const gchar * | qmi_voice_uss_data_coding_scheme_get_string ()
const gchar * | qmi_voice_alpha_data_coding_scheme_get_string ()
const gchar * | qmi_voice_call_end_reason_get_string ()
const gchar * | qmi_voice_call_control_result_type_get_string ()
const gchar * | qmi_voice_call_control_supplementary_service_type_get_string ()
const gchar * | qmi_voice_supplementary_service_type_get_string ()
const gchar * | qmi_voice_supplementary_service_notification_type_get_string ()
const gchar * | qmi_voice_supplementary_service_action_get_string ()
const gchar * | qmi_voice_supplementary_service_reason_get_string ()

## Types and Values

enum | QmiVoiceCallState
enum | QmiVoiceCallType
enum | QmiVoiceCallDirection
enum | QmiVoiceCallMode
enum | QmiVoiceAls
enum | QmiVoicePresentation
enum | QmiVoiceDomain
enum | QmiVoicePrivacy
enum | QmiVoiceServiceOption
enum | QmiVoiceTtyMode
enum | QmiVoiceWcdmaAmrStatus
enum | QmiVoiceUserAction
enum | QmiVoiceUssDataCodingScheme
enum | QmiVoiceAlphaDataCodingScheme
enum | QmiVoiceCallEndReason
enum | QmiVoiceCallControlResultType
enum | QmiVoiceCallControlSupplementaryServiceType
enum | QmiVoiceSupplementaryServiceType
enum | QmiVoiceSupplementaryServiceNotificationType
enum | QmiVoiceSupplementaryServiceAction
enum | QmiVoiceSupplementaryServiceReason

## Object Hierarchy

        GEnum
        ├── QmiVoiceAlphaDataCodingScheme
        ├── QmiVoiceAls
        ├── QmiVoiceCallControlResultType
        ├── QmiVoiceCallControlSupplementaryServiceType
        ├── QmiVoiceCallDirection
        ├── QmiVoiceCallEndReason
        ├── QmiVoiceCallMode
        ├── QmiVoiceCallState
        ├── QmiVoiceCallType
        ├── QmiVoiceDomain
        ├── QmiVoicePresentation
        ├── QmiVoicePrivacy
        ├── QmiVoiceServiceOption
        ├── QmiVoiceSupplementaryServiceAction
        ├── QmiVoiceSupplementaryServiceNotificationType
        ├── QmiVoiceSupplementaryServiceReason
        ├── QmiVoiceSupplementaryServiceType
        ├── QmiVoiceTtyMode
        ├── QmiVoiceUserAction
        ╰── QmiVoiceUssDataCodingScheme
        GFlags
        ╰── QmiVoiceWcdmaAmrStatus

## Description

This section defines enumerations and flags used in the VOICE service interface.

## Functions

### qmi_voice_call_state_get_string ()

    const gchar *
    qmi_voice_call_state_get_string (QmiVoiceCallState val);

Gets the nickname string for the QmiVoiceCallState specified at `val` .

#### Parameters

val | a QmiVoiceCallState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_type_get_string ()

    const gchar *
    qmi_voice_call_type_get_string (QmiVoiceCallType val);

Gets the nickname string for the QmiVoiceCallType specified at `val` .

#### Parameters

val | a QmiVoiceCallType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_direction_get_string ()

    const gchar *
    qmi_voice_call_direction_get_string (QmiVoiceCallDirection val);

Gets the nickname string for the QmiVoiceCallDirection specified at `val` .

#### Parameters

val | a QmiVoiceCallDirection. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_mode_get_string ()

    const gchar *
    qmi_voice_call_mode_get_string (QmiVoiceCallMode val);

Gets the nickname string for the QmiVoiceCallMode specified at `val` .

#### Parameters

val | a QmiVoiceCallMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_als_get_string ()

    const gchar *
    qmi_voice_als_get_string (QmiVoiceAls val);

Gets the nickname string for the QmiVoiceAls specified at `val` .

#### Parameters

val | a QmiVoiceAls. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_presentation_get_string ()

    const gchar *
    qmi_voice_presentation_get_string (QmiVoicePresentation val);

Gets the nickname string for the QmiVoicePresentation specified at `val` .

#### Parameters

val | a QmiVoicePresentation. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_domain_get_string ()

    const gchar *
    qmi_voice_domain_get_string (QmiVoiceDomain val);

Gets the nickname string for the QmiVoiceDomain specified at `val` .

#### Parameters

val | a QmiVoiceDomain. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_privacy_get_string ()

    const gchar *
    qmi_voice_privacy_get_string (QmiVoicePrivacy val);

Gets the nickname string for the QmiVoicePrivacy specified at `val` .

#### Parameters

val | a QmiVoicePrivacy. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_service_option_get_string ()

    const gchar *
    qmi_voice_service_option_get_string (QmiVoiceServiceOption val);

Gets the nickname string for the QmiVoiceServiceOption specified at `val` .

#### Parameters

val | a QmiVoiceServiceOption. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_tty_mode_get_string ()

    const gchar *
    qmi_voice_tty_mode_get_string (QmiVoiceTtyMode val);

Gets the nickname string for the QmiVoiceTtyMode specified at `val` .

#### Parameters

val | a QmiVoiceTtyMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_wcdma_amr_status_build_string_from_mask ()

    gchar *
    qmi_voice_wcdma_amr_status_build_string_from_mask
                                   (QmiVoiceWcdmaAmrStatus mask);

Builds a string containing a comma-separated list of nicknames for each QmiVoiceWcdmaAmrStatus in `mask` .

#### Parameters

mask | bitmask of QmiVoiceWcdmaAmrStatus values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.14

### qmi_voice_user_action_get_string ()

    const gchar *
    qmi_voice_user_action_get_string (QmiVoiceUserAction val);

Gets the nickname string for the QmiVoiceUserAction specified at `val` .

#### Parameters

val | a QmiVoiceUserAction. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_uss_data_coding_scheme_get_string ()

    const gchar *
    qmi_voice_uss_data_coding_scheme_get_string
                                   (QmiVoiceUssDataCodingScheme val);

Gets the nickname string for the QmiVoiceUssDataCodingScheme specified at `val` .

#### Parameters

val | a QmiVoiceUssDataCodingScheme. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_alpha_data_coding_scheme_get_string ()

    const gchar *
    qmi_voice_alpha_data_coding_scheme_get_string
                                   (QmiVoiceAlphaDataCodingScheme val);

Gets the nickname string for the QmiVoiceAlphaDataCodingScheme specified at `val` .

#### Parameters

val | a QmiVoiceAlphaDataCodingScheme. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_call_end_reason_get_string ()

    const gchar *
    qmi_voice_call_end_reason_get_string (QmiVoiceCallEndReason val);

Gets the nickname string for the QmiVoiceCallEndReason specified at `val` .

#### Parameters

val | a QmiVoiceCallEndReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_call_control_result_type_get_string ()

    const gchar *
    qmi_voice_call_control_result_type_get_string
                                   (QmiVoiceCallControlResultType val);

Gets the nickname string for the QmiVoiceCallControlResultType specified at `val` .

#### Parameters

val | a QmiVoiceCallControlResultType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_call_control_supplementary_service_type_get_string ()

    const gchar *
    qmi_voice_call_control_supplementary_service_type_get_string
                                   (QmiVoiceCallControlSupplementaryServiceType val);

Gets the nickname string for the QmiVoiceCallControlSupplementaryServiceType specified at `val` .

#### Parameters

val | a QmiVoiceCallControlSupplementaryServiceType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_voice_supplementary_service_type_get_string ()

    const gchar *
    qmi_voice_supplementary_service_type_get_string
                                   (QmiVoiceSupplementaryServiceType val);

Gets the nickname string for the QmiVoiceSupplementaryServiceType specified at `val` .

#### Parameters

val | a QmiVoiceSupplementaryServiceType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.30

### qmi_voice_supplementary_service_notification_type_get_string ()

    const gchar *
    qmi_voice_supplementary_service_notification_type_get_string
                                   (QmiVoiceSupplementaryServiceNotificationType val);

Gets the nickname string for the QmiVoiceSupplementaryServiceNotificationType specified at `val` .

#### Parameters

val | a QmiVoiceSupplementaryServiceNotificationType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.30

### qmi_voice_supplementary_service_action_get_string ()

    const gchar *
    qmi_voice_supplementary_service_action_get_string
                                   (QmiVoiceSupplementaryServiceAction val);

Gets the nickname string for the QmiVoiceSupplementaryServiceAction specified at `val` .

#### Parameters

val | a QmiVoiceSupplementaryServiceAction. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.30

### qmi_voice_supplementary_service_reason_get_string ()

    const gchar *
    qmi_voice_supplementary_service_reason_get_string
                                   (QmiVoiceSupplementaryServiceReason val);

Gets the nickname string for the QmiVoiceSupplementaryServiceReason specified at `val` .

#### Parameters

val | a QmiVoiceSupplementaryServiceReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.30

## Types and Values

### enum QmiVoiceCallState

State of a call.

#### Members

QMI_VOICE_CALL_STATE_UNKNOWN | Unknown state. |
QMI_VOICE_CALL_STATE_ORIGINATION | Call is being originated. |
QMI_VOICE_CALL_STATE_INCOMING | Incoming call. |
QMI_VOICE_CALL_STATE_CONVERSATION | Call is in progress. |
QMI_VOICE_CALL_STATE_CC_IN_PROGRESS | Call is originating but waiting for call control to complete. |
QMI_VOICE_CALL_STATE_ALERTING | Alerting. |
QMI_VOICE_CALL_STATE_HOLD | On hold. |
QMI_VOICE_CALL_STATE_WAITING | Waiting. |
QMI_VOICE_CALL_STATE_DISCONNECTING | Disconnecting. |
QMI_VOICE_CALL_STATE_END | Call is finished. |
QMI_VOICE_CALL_STATE_SETUP | 3GPP specific. MT call is in setup state. |

Since: 1.14

### enum QmiVoiceCallType

Type of a voice call.

#### Members

QMI_VOICE_CALL_TYPE_VOICE | Voice call. |
QMI_VOICE_CALL_TYPE_VOICE_IP | VoIP call. |
QMI_VOICE_CALL_TYPE_OTAPA | OTAPA. |
QMI_VOICE_CALL_TYPE_NON_STD_OTASP | Non-standard OTASP. |
QMI_VOICE_CALL_TYPE_EMERGENCY | Emergency call. |
QMI_VOICE_CALL_TYPE_SUPS | Supplementary service. |

Since: 1.14

### enum QmiVoiceCallDirection

Call direction.

#### Members

QMI_VOICE_CALL_DIRECTION_UNKNOWN | Unknown. |
QMI_VOICE_CALL_DIRECTION_MO | Mobile-originated. |
QMI_VOICE_CALL_DIRECTION_MT | Mobile-terminated. |

Since: 1.14

### enum QmiVoiceCallMode

Call mode.

#### Members

QMI_VOICE_CALL_MODE_UNKNOWN | Unknown. |
QMI_VOICE_CALL_MODE_CDMA | CDMA. |
QMI_VOICE_CALL_MODE_GSM | GSM. |
QMI_VOICE_CALL_MODE_UMTS | UMTS. |
QMI_VOICE_CALL_MODE_LTE | LTE. |

Since: 1.14

### enum QmiVoiceAls

ALS line indicator.

#### Members

QMI_VOICE_ALS_LINE_1 | Line 1, default. |
QMI_VOICE_ALS_LINE_2 | Line 2. |

Since: 1.14

### enum QmiVoicePresentation

Remote party number presentation indicator.

#### Members

QMI_VOICE_PRESENTATION_ALLOWED | Allowed presentation. |
QMI_VOICE_PRESENTATION_RESTRICTED | Restricted presentation. |
QMI_VOICE_PRESENTATION_UNAVAILABLE | Unavailable presentation. |
QMI_VOICE_PRESENTATION_PAYPHONE | 3GPP specific. Payphone presentation. |

Since: 1.14

### enum QmiVoiceDomain

Voice domain preference.

#### Members

QMI_VOICE_DOMAIN_CS_ONLY | CS-only. |
QMI_VOICE_DOMAIN_PS_ONLY | PS-only. |
QMI_VOICE_DOMAIN_CS_PREFERRED | CS preferred, PS secondary. |
QMI_VOICE_DOMAIN_PS_PREFERRED | PS preferred, CS secondary. |

Since: 1.14

### enum QmiVoicePrivacy

Voice privacy.

#### Members

QMI_VOICE_PRIVACY_STANDARD | Standard. |
QMI_VOICE_PRIVACY_ENHANCED | Enhanced. |

Since: 1.14

### enum QmiVoiceServiceOption

Service option.

#### Members

QMI_VOICE_SERVICE_OPTION_WILD | Any service option. |
QMI_VOICE_SERVICE_OPTION_IS_96A | IS-96A. |
QMI_VOICE_SERVICE_OPTION_EVRC | EVRC. |
QMI_VOICE_SERVICE_OPTION_13K_IS733 | IS733. |
QMI_VOICE_SERVICE_OPTION_SELECTABLE_MODE_VOCODER | Selectable mode vocoder. |
QMI_VOICE_SERVICE_OPTION_4GV_NARROW_BAND | 4GV narrowband. |
QMI_VOICE_SERVICE_OPTION_4GV_WIDE_BAND | 4GV wideband. |
QMI_VOICE_SERVICE_OPTION_13K | 13K. |
QMI_VOICE_SERVICE_OPTION_IS_96 | IS-96. |
QMI_VOICE_SERVICE_OPTION_WVRC | WVRC. |

Since: 1.14

### enum QmiVoiceTtyMode

TTY mode.

#### Members

QMI_VOICE_TTY_MODE_FULL | Full. |
QMI_VOICE_TTY_MODE_VCO | Voice carry over. |
QMI_VOICE_TTY_MODE_HCO | Hearing carry over. |
QMI_VOICE_TTY_MODE_OFF | Off. |

Since: 1.14

### enum QmiVoiceWcdmaAmrStatus

WCDMA AMR status.

#### Members

QMI_VOICE_WCDMA_AMR_STATUS_NOT_SUPPORTED | Not supported. |
QMI_VOICE_WCDMA_AMR_STATUS_WCDMA_AMR_WB | WCDMA AMR wideband. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_HR_AMR | GSM half-rate AMR. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_AMR_WB | GSM AMR wideband. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_AMR_NB | GSM AMR narrowband. |

Since: 1.14

### enum QmiVoiceUserAction

User action type.

#### Members

QMI_VOICE_USER_ACTION_UNKNOWN | Unknown user action. |
QMI_VOICE_USER_ACTION_NOT_REQUIRED | User is not required to respond to the USSD code. |
QMI_VOICE_USER_ACTION_REQUIRED | User is required to respond to the USSD code. |

Since: 1.26

### enum QmiVoiceUssDataCodingScheme

Data Coding Scheme used in USSD operations.

#### Members

QMI_VOICE_USS_DATA_CODING_SCHEME_UNKNOWN | Unknown. |
QMI_VOICE_USS_DATA_CODING_SCHEME_ASCII | ASCII coding scheme. |
QMI_VOICE_USS_DATA_CODING_SCHEME_8BIT | 8-bit coding scheme. |
QMI_VOICE_USS_DATA_CODING_SCHEME_UCS2 | UCS2. |

Since: 1.26

### enum QmiVoiceAlphaDataCodingScheme

Alpha Coding Scheme.

#### Members

QMI_VOICE_ALPHA_DATA_CODING_SCHEME_GSM | SMS default 7-bit coded alphabet. |
QMI_VOICE_ALPHA_DATA_CODING_SCHEME_UCS2 | UCS2. |

Since: 1.26

### enum QmiVoiceCallEndReason

Possible call end reasons resulting from a voice call or supplementary service connection being terminated.

#### Members

QMI_VOICE_CALL_END_REASON_OFFLINE | Device is offline. |
QMI_VOICE_CALL_END_REASON_CDMA_LOCK | CDMA specific. Phone is CDMA locked. |
QMI_VOICE_CALL_END_REASON_NO_SERVICE | Device has no service. |
QMI_VOICE_CALL_END_REASON_FADE | Fade. |
QMI_VOICE_CALL_END_REASON_INTERCEPT | CDMA specific. Received intercept from the BS. |
QMI_VOICE_CALL_END_REASON_REORDER | CDMA specific. Received reorder from the BS. |
QMI_VOICE_CALL_END_REASON_RELEASE_NORMAL | Received release from the BS. |
QMI_VOICE_CALL_END_REASON_RELEASE_SO_REJECT | CDMA specific. Received release from the BS. |
QMI_VOICE_CALL_END_REASON_INCOMING_CALL | CDMA specific. Received incoming call from the BS. |
QMI_VOICE_CALL_END_REASON_ALERT_STOP | CDMA specific. Received alert stop from the BS. |
QMI_VOICE_CALL_END_REASON_CLIENT_END | Client ended the call. |
QMI_VOICE_CALL_END_REASON_ACTIVATION | CDMA specific. Received end activation. |
QMI_VOICE_CALL_END_REASON_MC_ABORT | CDMA specific. MC aborted the origination/conversation. |
QMI_VOICE_CALL_END_REASON_MAX_ACCESS_PROBE | CDMA specific. Maximum access probes transmitted. |
QMI_VOICE_CALL_END_REASON_PSIST_N | CDMA specific. Persistence test failure. |
QMI_VOICE_CALL_END_REASON_UIM_NOT_PRESENT | R-UIM not present. |
QMI_VOICE_CALL_END_REASON_ACCESS_ATTEMPT_IN_PROGRESS | Access attempt in progress. |
QMI_VOICE_CALL_END_REASON_ACCESS_FAILURE | Access failure. |
QMI_VOICE_CALL_END_REASON_ACCESS_RETRY_ORDER | CDMA specific. Retry order. |
QMI_VOICE_CALL_END_REASON_CCS_NOT_SUPPORTED_BY_BS | CDMA specific. Concurrent service not supported by the BS. |
QMI_VOICE_CALL_END_REASON_NO_RESPONSE_FROM_BS | CDMA specific. No response received from the BS. |
QMI_VOICE_CALL_END_REASON_REJECTED_BY_BS | CDMA specific. Rejected by the BS. |
QMI_VOICE_CALL_END_REASON_INCOMPATIBLE | CDMA specific. Concurrent services requested are incompatible. |
QMI_VOICE_CALL_END_REASON_ACCESS_BLOCK | CDMA specific. Access blocked by the BS. |
QMI_VOICE_CALL_END_REASON_ALREADY_IN_TC | Already in TC. |
QMI_VOICE_CALL_END_REASON_EMERGENCY_FLASHED | CDMA specific. Emergency call is flashed over this call. |
QMI_VOICE_CALL_END_REASON_USER_CALL_ORIGINATED_DURING_GPS | Call originated during GPS. |
QMI_VOICE_CALL_END_REASON_USER_CALL_ORIGINATED_DURING_SMS | Call originated during SMS. |
QMI_VOICE_CALL_END_REASON_USER_CALL_ORIGINATED_DURING_DATA | Call originated during data. |
QMI_VOICE_CALL_END_REASON_REDIRECTION_OR_HANDOFF | Redirection or handoff. |
QMI_VOICE_CALL_END_REASON_ACCESS_BLOCK_ALL | Access blocked by BS for all. |
QMI_VOICE_CALL_END_REASON_OTASP_SPC_ERR | OTASP SPC error indication. |
QMI_VOICE_CALL_END_REASON_IS707B_MAX_ACCESS_PROBES | Maximum access probes for IS-707B call. |
QMI_VOICE_CALL_END_REASON_ACCESS_FAILURE_REJECT_ORDER | Base station reject order. |
QMI_VOICE_CALL_END_REASON_ACCESS_FAILURE_RETRY_ORDER | Base station retry order. |
QMI_VOICE_CALL_END_REASON_TIMEOUT_T42 | Timer T42 expired. |
QMI_VOICE_CALL_END_REASON_TIMEOUT_T40 | Timer T40 expired. |
QMI_VOICE_CALL_END_REASON_SERVICE_INIT_FAILURE | Service initialization failure. |
QMI_VOICE_CALL_END_REASON_TIMEOUT_T50 | Timer T50 expired. |
QMI_VOICE_CALL_END_REASON_TIMEOUT_T51 | Timer T51 expired. |
QMI_VOICE_CALL_END_REASON_RL_ACK_TIMEOUT | Acknowledgement timeout due to 12 retransmissions. |
QMI_VOICE_CALL_END_REASON_BAD_FORWARD_LINK | Bad forward link or timer T5M expired. |
QMI_VOICE_CALL_END_REASON_TRM_REQUEST_FAILED | Transceiver Resource Manager request failed. |
QMI_VOICE_CALL_END_REASON_TIMEOUT_T41 | Timer T41 expired. |
QMI_VOICE_CALL_END_REASON_INCOMING_REJECTED | GSM/WCDMA specific. Client rejected incoming call. |
QMI_VOICE_CALL_END_REASON_SETUP_REJECTED | GSM/WCDMA specific. Client rejected a setup indication. |
QMI_VOICE_CALL_END_REASON_NETWORK_END | GSM/WCDMA specific. Network ended the call. |
QMI_VOICE_CALL_END_REASON_NO_FUNDS | GSM/WCDMA specific. No funds. |
QMI_VOICE_CALL_END_REASON_NO_GW_SERVICE | GSM/WCDMA specific. Device has no service. |
QMI_VOICE_CALL_END_REASON_NO_CDMA_SERVICE | CDMA specific. Device has no service. |
QMI_VOICE_CALL_END_REASON_NO_FULL_SERVICE | Full service is unavailable. |
QMI_VOICE_CALL_END_REASON_MAX_PS_CALLS | No resources available to handle a new MO/MT PS call. |
QMI_VOICE_CALL_END_REASON_UNKNOWN_SUBSCRIBER | Unknown subscriber. |
QMI_VOICE_CALL_END_REASON_ILLEGAL_SUBSCRIBER | Illegal subscriber. |
QMI_VOICE_CALL_END_REASON_BEARER_SERVICE_NOT_PROVISIONED | Bearer service not provisioned. |
QMI_VOICE_CALL_END_REASON_TELE_SERVICE_NOT_PROVISIONED | Tele service not provisioned. |
QMI_VOICE_CALL_END_REASON_ILLEGAL_EQUIPMENT | Illegal equipment. |
QMI_VOICE_CALL_END_REASON_CALL_BARRED | Call barred. |
QMI_VOICE_CALL_END_REASON_ILLEGAL_SS_OPERATION | Illegal SS operation. |
QMI_VOICE_CALL_END_REASON_SS_ERROR_STATUS | Supplementary service error status. |
QMI_VOICE_CALL_END_REASON_SS_NOT_AVAILABLE | Supplementary service not available. |
QMI_VOICE_CALL_END_REASON_SS_SUBSCRIPTION_VIOLATION | Supplementary service subscription violation. |
QMI_VOICE_CALL_END_REASON_SS_INCOMPATIBILITY | Supplementary service incompatibility. |
QMI_VOICE_CALL_END_REASON_FACILITY_NOT_SUPPORTED | Facility not supported. |
QMI_VOICE_CALL_END_REASON_ABSENT_SUBSCRIBER | Absent subscriber. |
QMI_VOICE_CALL_END_REASON_SHORT_TERM_DENIAL | Short term denial. |
QMI_VOICE_CALL_END_REASON_LONG_TERM_DENIAL | Long term denial. |
QMI_VOICE_CALL_END_REASON_SYSTEM_FAILURE | System failure. |
QMI_VOICE_CALL_END_REASON_DATA_MISSING | Data missing. |
QMI_VOICE_CALL_END_REASON_UNEXPECTED_DATA_VALUE | Unexpected data value. |
QMI_VOICE_CALL_END_REASON_PASSWORD_REGISTRATION_FAILURE | Password registration failure. |
QMI_VOICE_CALL_END_REASON_NEGATIVE_PASSWORD_CHECK | Negative password check. |
QMI_VOICE_CALL_END_REASON_NUM_OF_PASSWORD_ATTEMPTS_VIOLATION | Number of password attempts violation. |
QMI_VOICE_CALL_END_REASON_POSITION_METHOD_FAILURE | Position method failure. |
QMI_VOICE_CALL_END_REASON_UNKNOWN_ALPHABET | Unknown alphabet. |
QMI_VOICE_CALL_END_REASON_USSD_BUSY | USSD busy. |
QMI_VOICE_CALL_END_REASON_REJECTED_BY_USER | Rejected by user. |
QMI_VOICE_CALL_END_REASON_REJECTED_BY_NETWORK | Rejected by network. |
QMI_VOICE_CALL_END_REASON_DEFLECTION_TO_SERVED_SUBSCRIBER | Deflection to served subscriber. |
QMI_VOICE_CALL_END_REASON_SPECIAL_SERVICE_CODE | Special service codde. |
QMI_VOICE_CALL_END_REASON_INVALID_DEFLECTED_TO_NUMBER | Invalid deflected to number. |
QMI_VOICE_CALL_END_REASON_MULTIPARTY_PARTICIPANTS_EXCEEDED | Multiparty participants exceeded. |
QMI_VOICE_CALL_END_REASON_RESOURCES_NOT_AVAILABLE | Resources not available. |
QMI_VOICE_CALL_END_REASON_UNASSIGNED_NUMBER | Unassigned number. |
QMI_VOICE_CALL_END_REASON_NO_ROUTE_TO_DESTINATION | No route to destination. |
QMI_VOICE_CALL_END_REASON_CHANNEL_UNACCEPTABLE | Channel unacceptable. |
QMI_VOICE_CALL_END_REASON_OPERATOR_DETERMINED_BARRING | Operator determined barring. |
QMI_VOICE_CALL_END_REASON_NORMAL_CALL_CLEARING | Normal call clearing. |
QMI_VOICE_CALL_END_REASON_USER_BUSY | User busy. |
QMI_VOICE_CALL_END_REASON_NO_USER_RESPONDING | No user responding. |
QMI_VOICE_CALL_END_REASON_USER_ALERTING_NO_ANSWER | User alerting no answer. |
QMI_VOICE_CALL_END_REASON_CALL_REJECTED | Call rejected. |
QMI_VOICE_CALL_END_REASON_NUMBER_CHANGED | Number changed. |
QMI_VOICE_CALL_END_REASON_PREEMPTION | Preemption. |
QMI_VOICE_CALL_END_REASON_DESTINATION_OUT_OF_ORDER | Destination out of order. |
QMI_VOICE_CALL_END_REASON_INVALID_NUMBER_FORMAT | Invalid number format. |
QMI_VOICE_CALL_END_REASON_FACILITY_REJECTED | Facility rejected. |
QMI_VOICE_CALL_END_REASON_RESPONSE_TO_STATUS_ENQUIRY | Response to status enquiry. |
QMI_VOICE_CALL_END_REASON_NORMAL_UNSPECIFIED | Normal unspecified. |
QMI_VOICE_CALL_END_REASON_NO_CIRCUIT_OR_CHANNEL_AVAILABLE | No circuit or channel available. |
QMI_VOICE_CALL_END_REASON_NETWORK_OUT_OF_ORDER | Network out of order. |
QMI_VOICE_CALL_END_REASON_TEMPORARY_FAILURE | Temporary failure. |
QMI_VOICE_CALL_END_REASON_SWITCHING_EQUIPMENT_CONGESTION | Switching equipment congestion. |
QMI_VOICE_CALL_END_REASON_ACCESS_INFORMATION_DISCARDED | Access information discarded. |
QMI_VOICE_CALL_END_REASON_REQUESTED_CIRCUIT_OR_CHANNEL_NOT_AVAILABLE | Requested circuit or channel not available. |
QMI_VOICE_CALL_END_REASON_RESOURCES_UNAVAILABLE_OR_UNSPECIFIED | Resources unavailable or unspecified. |
QMI_VOICE_CALL_END_REASON_QOS_UNAVAILABLE | QoS unavailable. |
QMI_VOICE_CALL_END_REASON_REQUESTED_FACILITY_NOT_SUBSCRIBED | Requested facility not subscribed. |
QMI_VOICE_CALL_END_REASON_INCOMING_CALLS_BARRED_WITHIN_CUG | Incoming calls barred withing closed user group. |
QMI_VOICE_CALL_END_REASON_BEARER_CAPABILITY_NOT_AUTH | Bearer capability not auth. |
QMI_VOICE_CALL_END_REASON_BEARER_CAPABILITY_UNAVAILABLE | Bearer capability unavailable. |
QMI_VOICE_CALL_END_REASON_SERVICE_OPTION_NOT_AVAILABLE | Service option not available. |
QMI_VOICE_CALL_END_REASON_ACM_LIMIT_EXCEEDED | ACM limit exceeded. |
QMI_VOICE_CALL_END_REASON_BEARER_SERVICE_NOT_IMPLEMENTED | Bearer service not implemented. |
QMI_VOICE_CALL_END_REASON_REQUESTED_FACILITY_NOT_IMPLEMENTED | Requested facility not implemented. |
QMI_VOICE_CALL_END_REASON_ONLY_DIGITAL_INFORMATION_BEARER_AVAILABLE | Only digital information bearer available. |
QMI_VOICE_CALL_END_REASON_SERVICE_OR_OPTION_NOT_IMPLEMENTED | Service or option not implemented. |
QMI_VOICE_CALL_END_REASON_INVALID_TRANSACTION_IDENTIFIER | Invalid transaction identifier. |
QMI_VOICE_CALL_END_REASON_USER_NOT_MEMBER_OF_CUG | User not member of closed user group. |
QMI_VOICE_CALL_END_REASON_INCOMPATIBLE_DESTINATION | Incompatible destination. |
QMI_VOICE_CALL_END_REASON_INVALID_TRANSIT_NETWORK_SELECTION | Invalid transit network selection. |
QMI_VOICE_CALL_END_REASON_SEMANTICALLY_INCORRECT_MESSAGE | Semantically incorrect message. |
QMI_VOICE_CALL_END_REASON_INVALID_MANDATORY_INFORMATION | Invalid mandatory information. |
QMI_VOICE_CALL_END_REASON_MESSAGE_TYPE_NOT_IMPLEMENTED | Message type not implemented. |
QMI_VOICE_CALL_END_REASON_MESSAGE_TYPE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE | Message type not compatible with protocol state. |
QMI_VOICE_CALL_END_REASON_INFORMATION_ELEMENT_NON_EXISTENT | Information element non existent. |
QMI_VOICE_CALL_END_REASON_CONDITIONAL_IE_ERROR | IE error. |
QMI_VOICE_CALL_END_REASON_MESSAGE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE | Message not compatible with protocol state. |
QMI_VOICE_CALL_END_REASON_RECOVERY_ON_TIMER_EXPIRED | Recovery on timer expired. |
QMI_VOICE_CALL_END_REASON_PROTOCOL_ERROR_UNSPECIFIED | Protocol error unspecified. |
QMI_VOICE_CALL_END_REASON_INTERWORKING_UNSPECIFIED | Interworking unspecified. |
QMI_VOICE_CALL_END_REASON_OUTGOING_CALLS_BARRED_WITHIN_CUG | Outgoing calls barred within closed user group. |
QMI_VOICE_CALL_END_REASON_NO_CUG_SELECTION | No closed user group selection. |
QMI_VOICE_CALL_END_REASON_UNKNOWN_CUG_INDEX | Unknown closed user group index. |
QMI_VOICE_CALL_END_REASON_CUG_INDEX_INCOMPATIBLE | Closed user group index incompatible. |
QMI_VOICE_CALL_END_REASON_CUG_CALL_FAILURE_UNSPECIFIED | Closed user group call failure unspecified. |
QMI_VOICE_CALL_END_REASON_CLIR_NOT_SUBSCRIBED | Calling line identification restriction not subscribed. |
QMI_VOICE_CALL_END_REASON_CCBS_POSSIBLE | Completion of communications to busy subscriber possible. |
QMI_VOICE_CALL_END_REASON_CCBS_NOT_POSSIBLE | Completion of communications to busy subscriber not possible. |
QMI_VOICE_CALL_END_REASON_IMSI_UNKNOWN_IN_HLR | IMSI unknown in HLR. |
QMI_VOICE_CALL_END_REASON_ILLEGAL_MS | Illegal MS. |
QMI_VOICE_CALL_END_REASON_IMSI_UNKNOWN_IN_VLR | IMSI unknown in VLR. |
QMI_VOICE_CALL_END_REASON_IMEI_NOT_ACCEPTED | IMEI not accepted. |
QMI_VOICE_CALL_END_REASON_ILLEGAL_ME | Illegal ME. |
QMI_VOICE_CALL_END_REASON_PLMN_NOT_ALLOWED | PLMN not allowed. |
QMI_VOICE_CALL_END_REASON_LOCATION_AREA_NOT_ALLOWED | Location area not allowed. |
QMI_VOICE_CALL_END_REASON_ROAMING_NOT_ALLOWED_IN_THIS_LOCATION_AREA | Roaming not allowed in this location area. |
QMI_VOICE_CALL_END_REASON_NO_SUITABLE_CELLS_IN_LOCATION_AREA | No suitable cells in location area. |
QMI_VOICE_CALL_END_REASON_NETWORK_FAILURE | Network failure. |
QMI_VOICE_CALL_END_REASON_MAC_FAILURE | MAC failure. |
QMI_VOICE_CALL_END_REASON_SYNCH_FAILURE | Synch failure. |
QMI_VOICE_CALL_END_REASON_NETWORK_CONGESTION | Network contestion. |
QMI_VOICE_CALL_END_REASON_GSM_AUTHENTICATION_UNACCEPTABLE | GSM authentication unacceptable. |
QMI_VOICE_CALL_END_REASON_SERVICE_NOT_SUBSCRIBED | Service not subscribed. |
QMI_VOICE_CALL_END_REASON_SERVICE_TEMPORARILY_OUT_OF_ORDER | Service temporarily out of order. |
QMI_VOICE_CALL_END_REASON_CALL_CANNOT_BE_IDENTIFIED | Call cannot be identified. |
QMI_VOICE_CALL_END_REASON_INCORRECT_SEMANTICS_IN_MESSAGE | Incorrect semantics in message. |
QMI_VOICE_CALL_END_REASON_MANDATORY_INFORMATION_INVALID | Mandatory information invalid. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_FAILURE | Access stratum failure. |
QMI_VOICE_CALL_END_REASON_INVALID_SIM | Invalid SIM. |
QMI_VOICE_CALL_END_REASON_WRONG_STATE | Wrong state. |
QMI_VOICE_CALL_END_REASON_ACCESS_CLASS_BLOCKED | Access class blocked. |
QMI_VOICE_CALL_END_REASON_NO_RESOURCES | No resources. |
QMI_VOICE_CALL_END_REASON_INVALID_USER_DATA | Invalid user data. |
QMI_VOICE_CALL_END_REASON_TIMER_T3230_EXPIRED | Timer T3230 expired. |
QMI_VOICE_CALL_END_REASON_NO_CELL_AVAILABLE | No cell available. |
QMI_VOICE_CALL_END_REASON_ABORT_MESSAGE_RECEIVED | Abort message received. |
QMI_VOICE_CALL_END_REASON_RADIO_LINK_LOST | Radio link lost. |
QMI_VOICE_CALL_END_REASON_TIMER_T303_EXPIRED | Timer T303 expired. |
QMI_VOICE_CALL_END_REASON_CNM_MM_RELEASE_PENDING | CNM MM release pending. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_RR_RELEASE_INDICATION | Access stratum reject, RR release indication. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_RR_RANDOM_ACCESS_FAILURE | Access stratum reject, RR random access failure. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_RRC_RELEASE_INDICATION | Access stratum reject, RRC release indication. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_RRC_CLOSE_SESSION_INDICATION | Access stratum reject, RRC close session indication. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_RRC_OPEN_SESSION_FAILURE | Access stratum reject, RRC open session failure. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_LOW_LEVEL_FAILURE | Access stratum reject, low level failure. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_LOW_LEVEL_FAILURE_REDIAL_NOT_ALLOWED | Access stratum reject, low level failure redial not allowed. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_LOW_LEVEL_IMMEDIATE_RETRY | Access stratum reject, low level immediate retry. |
QMI_VOICE_CALL_END_REASON_ACCESS_STRATUM_REJECT_ABORT_RADIO_UNAVAILABLE | Access stratum reject, abort radio unavailable. |
QMI_VOICE_CALL_END_REASON_SERVICE_OPTION_NOT_SUPPORTED | Service option not supported. |
QMI_VOICE_CALL_END_REASON_BAD_REQUEST_WAIT_INVITE | Bad request wait invite. |
QMI_VOICE_CALL_END_REASON_BAD_REQUEST_WAIT_REINVITE | Bad request wait reinvite. |
QMI_VOICE_CALL_END_REASON_INVALID_REMOTE_URI | Invalid remote URI. |
QMI_VOICE_CALL_END_REASON_REMOTE_UNSUPPORTED_MEDIA_TYPE | Remote unsupported media type. |
QMI_VOICE_CALL_END_REASON_PEER_NOT_REACHABLE | Peer not reachable. |
QMI_VOICE_CALL_END_REASON_NETWORK_NO_RESPONSE_TIMEOUT | Network no response, timeout. |
QMI_VOICE_CALL_END_REASON_NETWORK_NO_RESPONSE_HOLD_FAILURE | Network no response, hold failure. |
QMI_VOICE_CALL_END_REASON_DATA_CONNECTION_LOST | Data connection lost. |
QMI_VOICE_CALL_END_REASON_UPGRADE_DOWNGRADE_REJECTED | Upgrade/downgrade rejected. |
QMI_VOICE_CALL_END_REASON_SIP_403_FORBIDDEN | SIP 403 forbidden. |
QMI_VOICE_CALL_END_REASON_NO_NETWORK_RESPONSE | No network response. |
QMI_VOICE_CALL_END_REASON_UPGRADE_DOWNGRADE_FAILED | Upgrade/downgrade failed. |
QMI_VOICE_CALL_END_REASON_UPGRADE_DOWNGRADE_CANCELLED | Upgrade/downgrade cancelled. |
QMI_VOICE_CALL_END_REASON_SSAC_REJECT | Service specific access control reject. |
QMI_VOICE_CALL_END_REASON_THERMAL_EMERGENCY | Thermal emergency. |
QMI_VOICE_CALL_END_REASON_1XCSFB_SOFT_FAILURE | 1xCSFG soft failure. |
QMI_VOICE_CALL_END_REASON_1XCSFB_HARD_FAILURE | 1xCSFG hard failure. |

Since: 1.26

### enum QmiVoiceCallControlResultType

Call control result type.

#### Members

QMI_VOICE_CALL_CONTROL_RESULT_TYPE_VOICE | Voice. |
QMI_VOICE_CALL_CONTROL_RESULT_TYPE_SUPS | Supplementary service. |
QMI_VOICE_CALL_CONTROL_RESULT_TYPE_USSD | Unstructured supplementary service. |

Since: 1.26

### enum QmiVoiceCallControlSupplementaryServiceType

Call control supplementary service type.

#### Members

QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_ACTIVATE | Activate. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_DEACTIVATE | Deactivate. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_REGISTER | Register. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_ERASE | Erase. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_INTERROGATE | Interrogate. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_REGISTER_PASSWORD | Register password. |
QMI_VOICE_CALL_CONTROL_SUPPLEMENTARY_SERVICE_TYPE_USSD | USSD. |

Since: 1.26

### enum QmiVoiceSupplementaryServiceType

Supplementary service type during call.

#### Members

QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_HELD_OR_WAITING | Release held or waiting call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_ACTIVE_ACCEPT_HELD_OR_WAITING | Release active call and accept held or waiting call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_HOLD_ACTIVE_ACCEPT_WAITING_OR_HELD | Hold active call and accept held or waiting call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_HOLD_ALL_EXCEPT_SPECIFIED_CALL | Hold all calls except specified call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_MAKE_CONFERENCE_CALL | Create conference call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_EXPLICIT_CALL_TRANSFER | Explicit call transfer. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_CCBS_ACTIVATION | Activate completion of calls to busy subscriber. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_END_ALL_CALLS | End all calls. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_RELEASE_SPECIFIED_CALL | Release a specified call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_LOCAL_HOLD | Put all active calls to hold. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_TYPE_LOCAL_UNHOLD | Unhold all held calls. |

Since: 1.30

### enum QmiVoiceSupplementaryServiceNotificationType

Supplementary service notification type.

#### Members

QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_OUTGOING_CALL_IS_FORWARDED | Outgoing call is forward. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_OUTGOING_CALL_IS_WAITING | Outgoing call is waiting. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_OUTGOING_CUG_CALL | Outgoing CUG call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_OUTGOING_CALLS_BARRED | All outgoing calls are barred. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_OUTGOING_CALL_IS_DEFLECTED | Outgoing call is deflected. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_CUG_CALL | Incoming CUG call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_CALLS_BARRED | All incoming calls are barred. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_FORWARDED_CALL | Incoming forwarded call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_DEFLECTED_CALL | Incoming deflected call. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_CALL_IS_FORWARDED | Incoming call is forwarded. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_UNCONDITIONAL_CALL_FORWARD_ACTIVE | Unconditional call forward is active. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_CONDITIONAL_CALL_FORWARD_ACTIVE | Conditional call forward is active. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_CLIR_SUPPRESSION_REJECTED | CLIR suppression is rejected. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_CALL_IS_ON_HOLD | Call is on hold. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_CALL_IS_RETRIEVED | Call is retrieved. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_CALL_IS_IN_MULTIPARTY | Call is in multiparty. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_NOTIFICATION_TYPE_INCOMING_CALL_IS_ECT | Incoming call is ECT. |

Since: 1.30

### enum QmiVoiceSupplementaryServiceAction

Supplementary service action.

#### Members

QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_ACTIVATE | Activate supplementary service. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_DEACTIVATE | De-activate supplementary service. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_REGISTER | Register supplementary service. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_ACTION_ERASE | Erase/Un-register supplementary service. |

Since: 1.30

### enum QmiVoiceSupplementaryServiceReason

Supplementary service reason.

#### Members

QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_UNCONDITIONAL | Unconditional call forward. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_MOBILE_BUSY | Forward when mobile is busy. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_NO_REPLY | Forward when no reply. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_UNREACHABLE | Forward when call is unreachable. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_ALL | Forward all calls. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_FORWARD_ALL_CONDITIONAL | Forward all calls conditionally. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_ALL_OUTGOING | All outgoing. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_OUTGOING_INTERNAL | Outgoing Internal. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_OUTGOING_INTERNAL_EXTERNAL_TO_HOME | Outgoing internal/external to home. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_ALL_INCOMING | All incoming. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_INCOMING_ROAMING | Roaming incoming. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL | All calls are barred. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL_OUTGOING | All outgoing calls are barred. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_BAR_ALL_INCOMING | All incoming calls are barred. |
QMI_VOICE_SUPPLEMENTARY_SERVICE_REASON_CALL_WAITING | Call waiting. |

Since: 1.30